# 丰链工具箱 Chrome 扩展

一个集成多种实用工具的 Chrome 扩展，包括二维码生成、Word 转 HTML、Word 文档翻译等功能。

## 功能特点

### 1. 二维码生成
- 自动获取当前标签页 URL 并生成二维码
- 支持手动输入文本或链接生成二维码
- 高清晰度二维码输出

### 2. Word 转 HTML
- 支持 .docx 文件转换为 HTML
- 保持原文档格式和样式
- 实时预览转换结果
- 一键下载 HTML 文件

### 3. Word 文档翻译
- 支持中文文档翻译为英文、日文、繁体中文
- 完整保留原文档格式（包括字体、颜色、加粗等样式）
- 支持表格内容翻译
- 实时显示翻译进度
- 保持文档的换行格式
- 自动重试机制，提高翻译稳定性

## 安装说明

### 扩展安装
1. 下载本项目代码
2. 打开 Chrome 浏览器，进入扩展管理页面 (chrome://extensions/)
3. 开启"开发者模式"
4. 点击"加载已解压的扩展程序"，选择项目目录

### 后端服务安装
1. 确保已安装 Python 3.8+
2. 进入 backend 目录
3. 创建虚拟环境（可选）：
   ```bash
   python -m venv venv
   # Windows
   venv\Scripts\activate
   # Mac/Linux
   source venv/bin/activate
   ```
4. 安装依赖：
   ```bash
   pip install -r requirements.txt
   ```
5. 启动后端服务：
   ```bash
   python app.py
   ```

## 使用说明

### 二维码生成
1. 点击扩展图标打开工具箱
2. 默认显示当前页面 URL 的二维码
3. 可在输入框中修改文本，点击"生成二维码"更新

### Word 转 HTML
1. 选择"Word转HTML"选项卡
2. 点击上传区域选择 .docx 文件
3. 等待转换完成后预览结果
4. 点击"下载HTML"保存文件

### Word 文档翻译
1. 选择"Word翻译"选项卡
2. 点击上传区域选择要翻译的 Word 文档
3. 从下拉菜单选择目标语言（英文/日文/繁体中文）
4. 点击"开始翻译"按钮
5. 等待翻译完成，自动下载翻译后的文档

## 注意事项

1. 使用翻译功能时需要确保后端服务正在运行
2. 翻译功能使用百度翻译 API，请确保网络连接正常
3. 大文件翻译可能需要较长时间，请耐心等待
4. 建议定期清理 temp 目录下的临时文件

## 技术栈

- 前端：HTML, CSS, JavaScript
- 后端：Python, Flask
- 依赖库：python-docx, mammoth.js, qrcode.js

## 开发者

Made by Scout
